ランタイム: Mix::StringA Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
Mix::StringA Class Reference

文字列クラス( マルチバイト ) More...

`#include <String.h>`

## Public Member Functions

| StringA (void)
| コンストラクタ More...
| StringA (const wchar_t *pStr)
| コピーコンストラクタ More...
| StringA (const char *pStr)
| コピーコンストラクタ More...
| StringA (const char *pStr, UIntT size)
| コピーコンストラクタ More...
| StringA (const StringA &str)
| コピーコンストラクタ More...
| ~StringA (void)
| デストラクタ More...
char & | operator[] (UIntT index)
| 要素を取得します More...
Boolean | operator== (const StringA &str) const
| 比較( == )をします More...
Boolean | operator== (const char *pStr) const
| 比較( == )をします More...
Boolean | operator== (char code) const
| 比較( == )をします More...
Boolean | operator== (UIntT nullValue) const
| 比較( == )をします More...
Boolean | operator!= (const StringA &str) const
| 比較( != )をします More...
Boolean | operator!= (const char *pStr) const
| 比較( != )をします More...
Boolean | operator!= (UIntT nullValue) const
| 比較( != )をします More...
StringA & | operator= (const StringA &str)
| 代入( = )をします More...
StringA & | operator= (const char *pStr)
| 代入( = )をします More...
StringA & | operator= (const wchar_t *pStr)
| 代入( = )をします More...
StringA & | operator= (char code)
| 代入( = )をします More...
StringA & | operator+= (const char *pStr)
| 追加( += )をします More...
StringA & | operator+= (const StringA &str)
| 追加( += )をします More...
StringA & | operator+= (char code)
| 追加( += )をします More...
StringA | operator+ (const StringA &str)
| 結合( + )します More...
Float64 | ToDouble (Boolean *pbRet=NULL) const
| Float64型へ変換します More...
Float32 | ToFloat (Boolean *pbRet=NULL) const
| Float32型へ変換します More...
Int32 | ToInt (Boolean *pbRet=NULL) const
| Int32型へ変換します More...
UInt32 | ToUInt (Boolean *pbRet=NULL) const
| unsigned Int32型へ変換します More...
StringA | ToUpper (void)
| 自身のコピーを大文字に変換して返します More...
StringA | ToLower (void)
| 自身のコピーを小文字に変換して返します More...
void | Upper (void)
| 自身を大文字に変換します More...
void | Lower (void)
| 自身を小文字に変換します More...
char * | Sprintf (const char *format,...)
| 指定フォーマットで文字列を作成します More...
StringA | Left (UIntT size)
| 左端から指定した文字数だけ取得します More...
StringA | Right (UIntT size)
| 右端から指定した文字数だけ取得します More...
StringA | Mid (UIntT startPos, UIntT size)
| 指定した位置と文字数だけ取得します More...
UIntT | IndexOf (char value)
| 指定した文字が文字列内で最初に見つかった位置のインデックスを取得します More...
UIntT | LastIndexOf (char value)
| 指定した文字が文字列内で最後に見つかった位置のインデックスを取得します More...
template<Mix::Memory::SECTION_TYPE ST>
void | Split (const char *pSeparator, std::vector< Mix::StringA, std::vector< Mix::StringA, Mix::Memory::STLAllocator< ST, Mix::StringA >>> &list)
| 指定したセパレータで文字列を分割します More...
char * | GetPtr (void) const
| 文字列のポインタを取得します More...
const char * | GetConstPtr (void) const
| 文字列のポインタを取得します( CONST ) More...
UIntT | GetNum (void) const
| 文字数を取得します More...
UIntT | GetSize (void) const
| 文字列サイズを取得します More...
UIntT | GetAllocateSize (void) const
| 確保したメモリのサイズを取得します More...
UIntT | GetCapacity (void) const
| キャパシティ(バイト単位)を取得します More...

## Friends

const StringA | operator+ (const char *ls, const StringA &rs)
| 結合( + )します More...
bool | operator< (const StringA &l, const StringA &r)
| 比較( l < r )をします More...
bool | operator> (const StringA &l, const StringA &r)
| 比較( l > r )をします More...
bool | operator<= (const StringA &l, const StringA &r)
| 比較( l <= r )をします More...
bool | operator>= (const StringA &l, const StringA &r)
| 比較( l >= r )をします More...

## Detailed Description

文字列クラス( マルチバイト )

## Constructor & Destructor Documentation

Mix::StringA::StringA | ( | void |  | ) |

コンストラクタ

Mix::StringA::StringA | ( | const wchar_t * | pStr | ) |

コピーコンストラクタ

Parameters

  [in] | pStr | ユニコード文字列へのポインタ

Mix::StringA::StringA | ( | const char * | pStr | ) |

コピーコンストラクタ

Parameters

  [in] | pStr | マルチバイト文字列へのポインタ

Mix::StringA::StringA | ( | const char * | pStr,
|  | UIntT | size
| ) |  |

コピーコンストラクタ

Parameters

  [in] | pStr | 文字列へのポインタ
  [in] | size | 文字列のサイズ

Mix::StringA::StringA | ( | const StringA & | str | ) |

コピーコンストラクタ

Parameters

  [in] | str | 文字列

Mix::StringA::~StringA | ( | void |  | ) |

デストラクタ

## Member Function Documentation

char& Mix::StringA::operator[] | ( | UIntT | index | ) |

要素を取得します

Parameters

  [in] | index | 取得する要素のインデックス

Returns
  要素

Boolean Mix::StringA::operator== | ( | const StringA & | str | ) | const

比較( == )をします

Parameters

  [in] | str | 文字列

Returns
  等しかった場合は True を返します

Boolean Mix::StringA::operator== | ( | const char * | pStr | ) | const

比較( == )をします

Parameters

  [in] | pStr | 文字列へのポインタ

Returns
  等しかった場合は True を返します

Boolean Mix::StringA::operator== | ( | char | code | ) | const

比較( == )をします

Parameters

  [in] | code | 文字コード

Returns
  等しかった場合は True を返します

Boolean Mix::StringA::operator== | ( | UIntT | nullValue | ) | const

比較( == )をします

Parameters

  [in] | nullValue | NULLのみ可能

Returns
  等しかった場合は True を返します

Boolean Mix::StringA::operator!= | ( | const StringA & | str | ) | const

比較( != )をします

Parameters

  [in] | str | 文字列

Returns
  等しくなかった場合は True を返します

Boolean Mix::StringA::operator!= | ( | const char * | pStr | ) | const

比較( != )をします

Parameters

  [in] | pStr | 文字列へのポインタ

Returns
  等しくなかった場合は True を返します

Boolean Mix::StringA::operator!= | ( | UIntT | nullValue | ) | const

比較( != )をします

Parameters

  [in] | nullValue | NULLのみ指定可能

Returns
  等しくなかった場合は True を返します

StringA& Mix::StringA::operator= | ( | const StringA & | str | ) |

代入( = )をします

Parameters

  [in] | str | 文字列

Returns
  代入後の文字列

StringA& Mix::StringA::operator= | ( | const char * | pStr | ) |

代入( = )をします

Parameters

  [in] | pStr | 文字列へのポインタ

Returns
  代入後の文字列

StringA& Mix::StringA::operator= | ( | const wchar_t * | pStr | ) |

代入( = )をします

Parameters

  [in] | pStr | マルチバイト文字列へのポインタ

Returns
  代入後の文字列

StringA& Mix::StringA::operator= | ( | char | code | ) |

代入( = )をします

Parameters

  [in] | code | コード

Returns
  代入後の文字列

StringA& Mix::StringA::operator+= | ( | const char * | pStr | ) |

追加( += )をします

Parameters

  [in] | pStr | 文字列へのポインタ

Returns
  追加後の文字列

StringA& Mix::StringA::operator+= | ( | const StringA & | str | ) |

追加( += )をします

Parameters

  [in] | str | 文字列

Returns
  追加後の文字列

StringA& Mix::StringA::operator+= | ( | char | code | ) |

追加( += )をします

Parameters

  [in] | code | 文字コード

Returns
  追加後の文字列

StringA Mix::StringA::operator+ | ( | const StringA & | str | ) |

結合( + )します

Parameters

  [in] | str | 文字列

Returns
  結合後の文字列

Float64 Mix::StringA::ToDouble | ( | Boolean * | pbRet = `NULL` | ) | const

Float64型へ変換します

Parameters

  [in] | pbRet | 返り値 True 成功 False 失敗

Returns
  値

Float32 Mix::StringA::ToFloat | ( | Boolean * | pbRet = `NULL` | ) | const

Float32型へ変換します

Parameters

  [in] | pbRet | 返り値 True 成功 False 失敗

Returns
  値

Int32 Mix::StringA::ToInt | ( | Boolean * | pbRet = `NULL` | ) | const

Int32型へ変換します

Parameters

  [in] | pbRet | 返り値 True 成功 False 失敗

Returns
  値

UInt32 Mix::StringA::ToUInt | ( | Boolean * | pbRet = `NULL` | ) | const

unsigned Int32型へ変換します

Parameters

  [in] | pbRet | 返り値 True 成功 False 失敗

Returns
  値

StringA Mix::StringA::ToUpper | ( | void |  | ) |

自身のコピーを大文字に変換して返します

Returns
  大文字に変換した文字列

StringA Mix::StringA::ToLower | ( | void |  | ) |

自身のコピーを小文字に変換して返します

Returns
  小文字に変換した文字列

void Mix::StringA::Upper | ( | void |  | ) |

自身を大文字に変換します

void Mix::StringA::Lower | ( | void |  | ) |

自身を小文字に変換します

char* Mix::StringA::Sprintf | ( | const char * | format,
|  |  | ...
| ) |  |

指定フォーマットで文字列を作成します

Parameters

  [in] | format | フォーマット
  [in] | ... | 値

Returns
  文字列

StringA Mix::StringA::Left | ( | UIntT | size | ) |

左端から指定した文字数だけ取得します

Parameters

  [in] | size | 取り出すサイズ

Returns
  文字列

StringA Mix::StringA::Right | ( | UIntT | size | ) |

右端から指定した文字数だけ取得します

Parameters

  [in] | size | 取り出すサイズ

Returns
  文字列

StringA Mix::StringA::Mid | ( | UIntT | startPos,
|  | UIntT | size
| ) |  |

指定した位置と文字数だけ取得します

Parameters

  [in] | startPos | 取り出しを開始する位置
  [in] | size | 取り出すサイズ

Returns
  文字列

UIntT Mix::StringA::IndexOf | ( | char | value | ) |

指定した文字が文字列内で最初に見つかった位置のインデックスを取得します

Parameters

  [in] | value | 見つけたい文字

Returns
  見つかった場合は文字のインデックス、見つからなかった場合は -1 を返します

UIntT Mix::StringA::LastIndexOf | ( | char | value | ) |

指定した文字が文字列内で最後に見つかった位置のインデックスを取得します

Parameters

  [in] | value | 見つけたい文字

Returns
  見つかった場合は文字のインデックス、見つからなかった場合は -1 を返します

template<Mix::Memory::SECTION_TYPE ST>

void Mix::StringA::Split | ( | const char * | pSeparator,
|  | std::vector< Mix::StringA, std::vector< Mix::StringA, Mix::Memory::STLAllocator< ST, Mix::StringA >>> & | list
| ) |  |

inline

指定したセパレータで文字列を分割します

Parameters

  [in] | pSeparator | 文字列を分割するための区切り文字として使用する文字配列
  [out] | list | 分割した文字列を格納するベクタークラス

char* Mix::StringA::GetPtr | ( | void |  | ) | const

文字列のポインタを取得します

Returns
  文字列のポインタ

const char* Mix::StringA::GetConstPtr | ( | void |  | ) | const

文字列のポインタを取得します( CONST )

Returns
  文字列のポインタ

UIntT Mix::StringA::GetNum | ( | void |  | ) | const

文字数を取得します

Returns
  文字数

UIntT Mix::StringA::GetSize | ( | void |  | ) | const

文字列サイズを取得します

Returns
  文字列のサイズ

UIntT Mix::StringA::GetAllocateSize | ( | void |  | ) | const

確保したメモリのサイズを取得します

Returns
  確保したメモリのサイズ

UIntT Mix::StringA::GetCapacity | ( | void |  | ) | const

キャパシティ(バイト単位)を取得します

Returns
  キャパシティを返します

## Friends And Related Function Documentation

const StringA operator+ | ( | const char * | ls,
|  | const StringA & | rs
| ) |  |

friend

結合( + )します

Parameters

  [in] | ls | 結合先文字列
  [in] | rs | 結合元文字列

Returns
  結合後の文字列

bool operator< | ( | const StringA & | l,
|  | const StringA & | r
| ) |  |

friend

比較( l < r )をします

Parameters

  [in] | l | 比較する文字列1
  [in] | r | 比較する文字列2

Returns
  l < r だった場合は true

bool operator> | ( | const StringA & | l,
|  | const StringA & | r
| ) |  |

friend

比較( l > r )をします

Parameters

  [in] | l | 比較する文字列1
  [in] | r | 比較する文字列2

Returns
  l > r だった場合は true

bool operator<= | ( | const StringA & | l,
|  | const StringA & | r
| ) |  |

friend

比較( l <= r )をします

Parameters

  [in] | l | 比較する文字列1
  [in] | r | 比較する文字列2

Returns
  l <= r だった場合は true

bool operator>= | ( | const StringA & | l,
|  | const StringA & | r
| ) |  |

friend

比較( l >= r )をします

Parameters

  [in] | l | 比較する文字列1
  [in] | r | 比較する文字列2

Returns
  l >= r だった場合は true

The documentation for this class was generated from the following file:

- Mix/String.h